Bug 1348772 (CVE-2015-8921) - CVE-2015-8921 libarchive: Global out of bounds read in mtree parser
Summary: CVE-2015-8921 libarchive: Global out of bounds read in mtree parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8921
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352775 1352776 1353065 1353066 1353067 1353068
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-22 03:31 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted mtree file could cause libarchive to read beyond a statically declared structure, potentially disclosing application memory.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC
Red Hat Product Errata RHSA-2016:1850 normal SHIPPED_LIVE Important: libarchive security update 2016-09-12 23:54:24 UTC

Description Doran Moppert 2016-06-22 03:31:42 UTC
An out of bounds read was discovered in the mtree parser.  A specially
crafted mtree file could cause libarchive to read beyond a statically
declared structure.  The read was using memcmp(), so data could not
be directly exfiltrated by an attacker.

The vulnerable code appears to be reachable through other paths in
libarchive-2.8, though the reproducer in the upstream ticket fails
to generate a warning.

Upstream bug:
    https://github.com/libarchive/libarchive/issues/512

Upstream fix:
    https://github.com/libarchive/libarchive/commit/1cbc76f

Comment 2 Doran Moppert 2016-07-05 04:38:01 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]
Affects: epel-5 [bug 1352775]

Comment 4 Pavel Raiskup 2016-07-08 07:23:25 UTC
(In reply to Doran Moppert from comment #0)
> Upstream fix:
>     https://github.com/libarchive/libarchive/commit/1cbc76f

For myself: that is incomplete fix, there are follow-up patches.

Comment 5 errata-xmlrpc 2016-09-12 19:56:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1850 https://rhn.redhat.com/errata/RHSA-2016-1850.html

Comment 6 errata-xmlrpc 2016-09-12 20:14:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html

Comment 7 Product Security DevOps Team 2019-07-12 13:04:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2015-8921


Note You need to log in before you can comment on or make changes to this bug.